
function decodeIdentityByCondition(subjId, attentionCond, f, p,include_color_terms, pilot)

% INPUTS: subjId
%         attentionCond ('HueCond' or 'LumCond')
%         f             (struct of paths)
%         p             (struct of decoding parameters)
%
% Available labels: raster_labels.triggers     
%                   raster_labels.stimNames     
%                   raster_labels.attentionCond 
%                   raster_labels.hue           
%                   raster_labels.lum           



% specify which raster_labels fieldname to use (as created in createRasterData)
the_labels_to_use = 'triggers';

%edited to run Katherine's analysis on my data
if strcmp(attentionCond, 'PooledConds')
    trainTrigs = [1 : 8];
    testTrigs  = trainTrigs;
    fileId = ['SpiralIdentity_' attentionCond];
elseif pilot == 1
    trainTrigs = [1 : 4];
    testTrigs  = trainTrigs;
    fileId = ['SpiralIdentity_'];
elseif strcmp(attentionCond, 'HueCond')
    if include_color_terms == 0
        trainTrigs = [1 : 8] %10]
        testTrigs  = trainTrigs; % no generalization
        fileId = ['SpiralIdentity_' attentionCond];
    elseif include_color_terms == 1
        trainTrigs = [1 : 10] %10]
        testTrigs  = trainTrigs; % no generalization
        fileId = ['StimIdentity_' attentionCond];
    else %just color terms
        trainTrigs = [9 : 10] %10]
        testTrigs  = trainTrigs; % no generalization
        fileId = ['TermIdentity_' attentionCond];
    end
elseif strcmp(attentionCond, 'LumCond')
    if include_color_terms == 0
        trainTrigs = [51 : 58] %60]
        testTrigs  = trainTrigs; % no generalization
        fileId = ['SpiralIdentity_' attentionCond];
    elseif include_color_terms == 1
        trainTrigs = [51 : 60] %10]
        testTrigs  = trainTrigs; % no generalization
        fileId = ['StimIdentity_' attentionCond];
    else %just color terms
        trainTrigs = [59 : 60] %10]
        testTrigs  = trainTrigs; % no generalization
        fileId = ['TermIdentity_' attentionCond];
    end

end
if p.powerAnalysis == 1
	runDecodingForPowerAnalysis(subjId, fileId, f, p, the_labels_to_use, trainTrigs, testTrigs)
else
	runDecoding(subjId, fileId, f, p, the_labels_to_use, trainTrigs, testTrigs)
end

end
