
function split_experiments_and_convert_to_raster(subj_ID)

% Author:  Katherine Hermann
% History: Created August 2015 for HG Pilot; based on April scripts        

% To do: add in bad channel flags (as relevant)

% INPUTS: subj_path         (path to brainstorm_db/subj/data/subj files containing
%                            bandpass filtered conditions)
%         raster_save_path 
% 

%% File handling

% UPDATE AS APPROPRIATE:
basePath = [pwd '/../../../'];
protocol_path = [basePath 'Pilot0/Brainstorm_Format/'];
raster_path   = [basePath 'Pilot0/Raster_Format/'];

subj_path = [protocol_path subj_ID '/'];
raster_save_path = [raster_path subj_ID '/'];
disp(['Subject data path: ' subj_path])
disp(['Raster path: ' raster_path])

%% Set params
channel_list = [1 : 306]; % MEG channels
timepoints   = [1 : 801]; % used -200 : 600 during preprocessing

%% Create rasters
% Spirals
spiralTriggers = [1 : 4];

% label 3 ways:
%   - hueLum_labels  (the hue and luminance, for decoding specific color)
%   - hueOnly_labels (the hue only; here, yellow or blue)
%   - lumOnly_labels (the luminance only)

% hue150 is a blue, and 300, a yellow; minus is dark, and plus, bright
hueLum_labels  = {'hue150_minus', 'hue300_minus', 'hue150_plus', 'hue300_plus'};
hueOnly_labels = {'hue150', 'hue300', 'hue150', 'hue300'};
lumOnly_labels = {'minus', 'minus', 'plus', 'plus'};

mkdir(raster_save_path);
num_trials_to_use = 375;
trials_used_filename = [raster_path subj_ID '_Trials_Used.mat'];
create_raster_data_specified_trial_num(subj_path, channel_list, spiralTriggers,...
    num_trials_to_use, hueLum_labels, hueOnly_labels, lumOnly_labels,...
    timepoints, raster_save_path, trials_used_filename);

end
