
function results_filename = decode_prep_noGeneralization(subject_id, file_ID, toolbox_path, raster_path, master_bin_path, master_results_path, master_null_dists_path, labelType, trainTest_labels, p, nullOpt,nullIterRange)

% 'labelType' = 'hueLum_labels', 'hue_labels', or 'lum_labels', as set in
% create_raster_data.mat
disp(['Null opt is: ', num2str(nullOpt)])
%% File handling
bin_path         = [master_bin_path]
results_path     = [master_results_path file_ID '/']
results_filename = [subject_id '_' file_ID '_' num2str(p.nFeat) 'sensors_' num2str(p.nAvg) 'avg_' num2str(p.num_cv_splits) 'splits_' num2str(p.reps_per_split) 'repsPerSplit']
null_dists_path  = [master_null_dists_path file_ID '/']

%% Decode
training_label_names = trainTest_labels;
test_label_names     = trainTest_labels; % no generalization

if p.power_analysis == 1
	run_decoding_poweranalysis(file_ID, toolbox_path, raster_path, bin_path, results_path, results_filename, ...
             labelType, training_label_names, test_label_names, p.num_cv_splits, p.reps_per_split, ...
             p.step_size, p.bin_width, p.nAvg, p.nFeat, p.decoding_runs, p.plot_flag, p.random_shuffle_option, p.classifierType,p.temporal_cross_training)
else
	run_decoding(file_ID, toolbox_path, raster_path, bin_path, results_path, results_filename, ...
				 labelType, training_label_names, test_label_names, p.num_cv_splits, p.reps_per_split, ...
				 p.step_size, p.bin_width, p.nAvg, p.nFeat, p.decoding_runs, p.plot_flag, p.random_shuffle_option, p.classifierType,p.temporal_cross_training)
	disp('skip decoding')
end

%% Significance Testing
if nullOpt == 1
    p.random_shuffle_option = 1;

     for i = nullIterRange
        null_filename = [results_filename '_' num2str(i)];
        
        run_decoding(file_ID, toolbox_path, raster_path, bin_path, null_dists_path, null_filename, ...
             labelType, training_label_names, test_label_names, p.num_cv_splits, p.reps_per_split, ...
             p.step_size, p.bin_width, p.nAvg, p.nFeat, p.decoding_runs, p.plot_flag, p.random_shuffle_option, p.classifierType,p.temporal_cross_training)
    end
end
   
end