function [p, toolbox_path, raster_path, bin_path, results_path, null_dists_path]... 
    = initialize_problem_with_param_options_small(subj_id, classifierType, cv_splits)

toolbox_path    = [pwd '/../../toolbox/ndt.1.0.4_exported/'];
SpiralsPilot_path    = [pwd '/../../Pilot0/'];
raster_path     = [SpiralsPilot_path 'Raster_Format/' subj_id '/']
bin_path        = [SpiralsPilot_path 'Binned_Format/' subj_id '/']
if strcmp('svm', classifierType)
    results_path    = [SpiralsPilot_path 'ClassifierTests/SVM/Results/' subj_id '/'];
    null_dists_path = [SpiralsPilot_path 'ClassifierTests/SVM/NullDists/' subj_id '/'];
elseif strcmp('maxCorr', classifierType)
    results_path    = [SpiralsPilot_path 'Results/' subj_id '/'];
    null_dists_path = [SpiralsPilot_path 'NullDists/' subj_id '/'];
end

% For now, using Leyla Isik's choices:
p.classifierType  = classifierType;
p.num_cv_splits   = cv_splits; % working with 160 trials or 240, so 3 or 3
p.reps_per_split  = 30; %this gets overridden for the poweranalysis
p.step_size       = 5;
p.bin_width       = 5;
p.nAvg            = 30; %this gets overridden for the poweranalysis
p.nFeat           = 25;
p.decoding_runs   = 50;
p.plot_flag       = 1;
p.random_shuffle_option = 0;
p.temporal_cross_training = 0;
p.power_analysis = 1;

end