function run_HueGeneralized_small(subj_id, classifierType, nullOpt, cv_splits,power_analysis,num_trials,nullIterRange,whichProblem)

% History: Author: Katherine Hermann; calls decoding script by L. Isik
% Added pilotName and classifierType as inputs on July 13, 2015

% INPUTS: subj _id       (name of brainstorm_db subfolder containing this subject, e.g. 'pilotb_102')
%         classifierType ('maxCorr', 'svm', or 'naiveBayes')
%         nullOpt        (0 = without sign testing, 1 = with)

[p, toolbox_path, raster_path, bin_path, results_path, null_dists_path] = initialize_problem_with_param_options_small(subj_id, classifierType, cv_splits);
p.power_analysis = power_analysis;
p.reps_per_split = num_trials;
p.nAvg = num_trials;

if nargin < 8
	whichProblem = 3;
end

%% HUE GENERALIZED ACROSS LUMINANCE
labelType = 'hueLum_labels';

switch whichProblem
	case 1
		file_ID = 'HueInv_trainMinus_testPlus'
		train_labels = {{'hue150_minus'}, {'hue300_minus'}};
		test_labels  = {{'hue150_plus'}, {'hue300_plus'}};
		decode_prep_withGeneralization(subj_id, file_ID, toolbox_path, raster_path, bin_path, results_path, null_dists_path, labelType, train_labels, test_labels, p, nullOpt,nullIterRange);

	case 2
		file_ID = 'HueInv_trainPlus_testMinus'
		train_labels  = {{'hue150_plus'}, {'hue300_plus'}};
		test_labels = {{'hue150_minus'}, {'hue300_minus'}};
		decode_prep_withGeneralization(subj_id, file_ID, toolbox_path, raster_path, bin_path, results_path, null_dists_path, labelType, train_labels, test_labels, p, nullOpt,nullIterRange);
	case 3
		file_ID = 'HueInv_trainMinus_testPlus'
		train_labels = {{'hue150_minus'}, {'hue300_minus'}};
		test_labels  = {{'hue150_plus'}, {'hue300_plus'}};
		decode_prep_withGeneralization(subj_id, file_ID, toolbox_path, raster_path, bin_path, results_path, null_dists_path, labelType, train_labels, test_labels, p, nullOpt,nullIterRange);
		
		file_ID = 'HueInv_trainPlus_testMinus'
		train_labels  = {{'hue150_plus'}, {'hue300_plus'}};
		test_labels = {{'hue150_minus'}, {'hue300_minus'}};
		decode_prep_withGeneralization(subj_id, file_ID, toolbox_path, raster_path, bin_path, results_path, null_dists_path, labelType, train_labels, test_labels, p, nullOpt,nullIterRange);
end
end