function run_LumWithin_small(subj_id, classifierType, nullOpt, cv_splits, power_analysis,num_trials,nullIterRange,whichProblem)

% History: Author: Katherine Hermann; calls decoding script by L. Isik
% Added pilotName and classifierType as inputs on July 13, 2015

% INPUTS: subj _id       (name of brainstorm_db subfolder containing this subject, e.g. 'pilotb_102')
%         classifierType ('maxCorr', 'svm', or 'naiveBayes')
%         nullOpt        (0 = without sign testing, 1 = with)

[p, toolbox_path, raster_path, bin_path, results_path, null_dists_path] = initialize_problem_with_param_options_small(subj_id, classifierType, cv_splits);
p.power_analysis = power_analysis;
p.reps_per_split = num_trials;
p.nAvg = num_trials;

disp(['NUMBER OF TRIALS IS: ' num2str(p.nAvg)])

%% LUMINANCE WITHIN A HUE (color pair-wise)
labelType = 'hueLum_labels';

switch whichProblem
	case 1
		disp(['DOING THE FIRST ONE'])
		% case 1
		file_ID = 'LumWithinHue150'
		trainTest_labels = {'hue150_minus', 'hue150_plus'};
		decode_prep_noGeneralization(subj_id, file_ID, toolbox_path, raster_path, bin_path, results_path, null_dists_path, labelType, trainTest_labels, p, nullOpt,nullIterRange,whichProblem);
	case 2
		disp(['DOING THE SECOND ONE'])
		%case 2
		file_ID = 'LumWithinHue300'
		labelType = 'hueLum_labels';
		trainTest_labels = {'hue300_minus', 'hue300_plus'};
		decode_prep_noGeneralization(subj_id, file_ID, toolbox_path, raster_path, bin_path, results_path, null_dists_path, labelType, trainTest_labels, p, nullOpt,nullIterRange,whichProblem);
		
	case 3
		% case 1
		file_ID = 'LumWithinHue150'
		trainTest_labels = {'hue150_minus', 'hue150_plus'};
		decode_prep_noGeneralization(subj_id, file_ID, toolbox_path, raster_path, bin_path, results_path, null_dists_path, labelType, trainTest_labels, p, nullOpt,nullIterRange,whichProblem);
	
		%case 2
		file_ID = 'LumWithinHue300'
		labelType = 'hueLum_labels';
		trainTest_labels = {'hue300_minus', 'hue300_plus'};
		decode_prep_noGeneralization(subj_id, file_ID, toolbox_path, raster_path, bin_path, results_path, null_dists_path, labelType, trainTest_labels, p, nullOpt,nullIterRange,whichProblem);
	end

end