%function combineRastersFromMultipleSessions(rasterPath, subjId)
function combineRastersFromMultipleSessions(subjId,eyeTrack,suffix)

switch eyeTrack
	case 0
		useEyetrackingChannels = 0;
	case 1
		useEyetrackingChannels = 1;
		eyetrackingDesc = 'EyePosition';
	case 2
		useEyetrackingChannels = 1;
		eyetrackingDesc = 'PupilDiameter';
end

rasterRoot = [pwd '/../../Intermediates_Study/'];
if useEyetrackingChannels == 1
    rasterRoot = [rasterRoot 'EyePositionDecoding/' eyetrackingDesc '/'];
end
rasterPath = [rasterRoot 'Raster_Format' suffix '/'];

disp('Does only trigger labels for now...')

sessionNames = {'sess01', 'sess02'}
name = '_01_02'

savePath = [rasterPath subjId '_CombinedSess' name '/']
mkdir(savePath)
channelInds = [1 : 306];
% Set params
if useEyetrackingChannels == 1
    if strcmp(eyetrackingDesc, 'PupilDiameter')
        % 307-312 correspond to the eyetracker channels
        channelInds = [309, 312]; % 309 is right pupil diam (I *think*), 312 is left pupil diameter
        %channelList = [309];
    elseif strcmp(eyetrackingDesc, 'EyePosition')
        channelInds = [307, 308, 310, 311]; % 307-308 are right eye position (I *think*), 310-311 are left eye position
        %channelList = [307, 308]; % subj with right-eye tracking only
    end
else
    channelInds = [1 : 306]; % MEG channels to use (use [1 : 306] unless there's reason to think one was awry after reviewing the raw data)
end

%pause

for i = 1 : numel(channelInds)
    filename = ['raster_ch' sprintf('%03d', channelInds(i)) '.mat'];
    combined_data = [];
    combined_labels.triggers = [];
    for k = 1 : numel(sessionNames)
        sessPath = [rasterPath subjId '_' sessionNames{k} '/' filename]
        load(sessPath)
        combined_data = [combined_data; raster_data];
        combined_labels.triggers = [combined_labels.triggers, raster_labels.triggers];
        clear raster_data raster_labels; %raster_site_info is the recording channel, same for all
    end
    raster_data = combined_data;
    raster_labels = combined_labels;
    save([savePath filename], 'raster_data', 'raster_labels', 'raster_site_info');
end

end