%genAnatROI
%June 2017 Isabelle Rosenthal
%converts MEG data from sensors to anatomical vertices by ROI for each
%individual subject across both sessions
%clear all

% Atlas_Name determines which ROI's you will create the sources for.
% Choose between 'Desikan-Killiany', 'Brodmann' or 'fROIs'

function genAnatROI(subject,Atlas_Name)

addpath(genpath([pwd '/../../toolbox/Utils']))

subjID = {subject};

if strcmp(Atlas_Name,'Desikan-Killiany')
    ROIs_toUse = [49 50; 55 56];
    roisName = {'precentral', 'rostralmiddlefrontal'};
elseif strcmp(Atlas_Name,'Brodmann')
    ROIs_toUse = [19 20; 21 22; 23 24];
    roisName = {'MT','V1','V2'};
elseif strcmp(Atlas_Name,'fROIs')
    Atlas_Name = [subject '_fROIs'];
    ROIs_toUse = [1; 2; 3; 4];
    roisName = {'S-O', 'C-BW', 'F-O', 'O-SO'};
else
   return 
end

ncond = 1:10;
Subjects_customanatflag = 1; %1 to use subjects anatomy, 0 to use brainstorm default subject
%----------

% point this to where you want your ROI sources to be saved
paths.savepath =  [pwd '/../../Intermediates_Study/ROI_sources/'];
% point this to where the brainstorm data is
paths.brainstormdbpath   = [pwd '/../../'];
paths.proj = 'Intermediates_Data';
paths.toolboxPath = [pwd '/../../toolbox/'];

for ind = 1:numel(subjID)
    disp(['beginning subj ' subjID{ind}]);
    %Subjects = {[subjID{ind} '_sess01'],[subjID{ind} '_sess02']};
    %calls sensors2vertices, plots the ROIs outputted and saves them
    %Roi{i,roi,c} cell array where i=subject, roi = ind of rois, c = condition
    %in each slot: a cell array numTrials long containing a matrix of sources x time points
    tic
    sensors2vertices_forDecodingm(subjID(ind), paths, ncond, Subjects_customanatflag, Atlas_Name, ROIs_toUse, roisName);
    toc
    disp(['subj ' subjID{ind} ' complete']);
    
end

end