
function splitExperimentsAndConvertToRaster_ROI(subj_ID, ROI)

% Author:  Katherine Hermann
% History: Created August 2015 for HG Pilot; based on April scripts
%          Updated March 2016

% NOTE: 1. Always look at your raw data. There's a way to remove bad channels
%          (check with Dimitrios)

% INPUTS: subjPath         (path to brainstorm_db/subj/data/subj files containing
%                            DC-offset-removed data, optionally bandpass filtered)

%% File handling
% UPDATE AS APPROPRIATE:
protocolPath = [pwd '/../../Intermediates_Study/ROI_sources/'] 
rasterRoot = [pwd '/../../Intermediates_Study/'];

rasterPath = [rasterRoot 'Raster_Format_ROI/'];
rasterSavePath = [rasterPath ROI '/' subj_ID '/'];
subjPath       = [protocolPath subj_ID '/' ROI '/']; % path to brainstorm_db/subj/data/subj files containing

disp(['Subject data path: ' subjPath])
disp(['Raster path: ' rasterPath])


%% Create rasters
% specify stimuli

stimNames = {'az45sat75elev20','az45sat75elev340','az135sat75elev20',...
             'az135sat75elev340','az225sat75elev20','az225sat75elev340',...
             'az315sat75elev20','az315sat75elev340', 'green', 'blue'};
% stimulus trigger codes
stimTrigs = 1 : 10;  %for all
timepoints  = 1 : 801; % used -200 : 600 during preprocessing

stimNameLabels = [stimNames stimNames];
for i = 1 : 10
    attentionCondLabels{i} = 'Hue';
end
for i = 11 : 20
    attentionCondLabels{i} = 'Lum';
end
hues = {'45', '45', '135', '135', '225', '225', '315', '315', 'NA', 'NA'};
lums = {'20', '340', '20', '340', '20', '340', '20', '340', 'NA', 'NA'};
hueLabels = [hues, hues];
lumLabels = [lums, lums];

if ~exist(rasterSavePath,'dir')
    mkdir(rasterSavePath)
else
    disp('This raster path already exists. To proceed, press enter')
    pause
end

createRasterData_ROI(subjPath, timepoints, stimTrigs, stimNameLabels, attentionCondLabels, hueLabels, lumLabels, rasterSavePath);
% NOTE that you will want to modify this procedure so that the same numbers
% of trials are being used if comparing results of different decoding problem

end
