% subj is an optional parameter (in the form 'lilac[xx]_sess[yy]') for rasterizing 
% just one subject, or can pass no parameters, in which case all subjects 
% are rasterized one by one.
%
% eyeTrack is an optional parameter used for rasterizing eye tracking data. 
% Default is 0, which means the MEG data is rasterized. To rasterize eye
% position data, pass 1, and to rasterize pupil diameter data, pass 2

function wrapper_prepAllSubjectsPilot(subj,eyeTrack)

if nargin < 1

    subjectIds = {'lilac01_sess01';...
       'lilac01_sess02';...
       'lilac01_sess03';...
       'lilac01_sess04';...
       'lilac01_sess05';...
       'lilac03_sess01';...
       'lilac03_sess02';...
       'lilac03_sess03';...
       'lilac03_sess04';...
       'lilac03_sess05'};
else
    subjectIds = subj;
end

disp(subjectIds)

if nargin < 3
    eyeTrack = 0;
end

for s = 1 : numel(subjectIds)
    disp(['Beginning subject ' num2str(s) '/' num2str(numel(subjectIds))]);
    splitExperimentsAndConvertToRaster(subjectIds{s}, eyeTrack);
end

end
