
function f = initializePaths(subjId, homeDir, classifierType, p, eyePositionOpt, ROIs, roi)

% Should be in home directory, along with the wrapper

disp('........UPDATE EYE POSITION TYPE TO USE AS DESIRED.........')

%% File handling
funcPath = [pwd '/Functions/'];
addpath(funcPath)

f.studyPath = [homeDir 'Intermediates_Study/'];
resultsRoot = f.studyPath;

if eyePositionOpt == 1
	eyetrackingDesc = p.eyetrackingDesc 
    f.studyPath = [f.studyPath 'EyePositionDecoding/' eyetrackingDesc '/'];
    resultsRoot = f.studyPath;
end

% paths in f (files) struct to make passing things easy
f.toolboxPath = [homeDir '/toolbox/ndt.1.0.4_exported/'];
if p.longWindow
	f.rasterPath  = [f.studyPath 'Raster_Format_LongWindow/' subjId '/'];
	f.binPath     = [f.studyPath 'Binned_Format_LongWindow/' subjId '/'];
else
	f.rasterPath  = [f.studyPath 'Raster_Format/' subjId '/'];
	f.binPath     = [f.studyPath 'Binned_Format/' subjId '/'];
end
f.resultsSuffix = ''; %if you want to do multiple runs with the same parameters, add a suffix for the filename (e.g _run1)

if ROIs == 1
    f.rasterPath     = [f.studyPath 'Raster_Format_ROI/' roi '/' subjId '/'];
    f.binPath     = [f.studyPath 'Binned_Format_ROI/'  roi '/' subjId '/'];
end
if strcmp('svm', classifierType)
	if p.longWindow
		f.resultsPath   = [resultsRoot 'SVM/Results_LongWindow/' subjId '/']; % null distribution 
        f.nullDistsPath = [resultsRoot 'SVM/NullDists_LongWindow/' subjId '/']; 
	else
		f.resultsPath   = [resultsRoot 'SVM/Results/' subjId '/'];
        f.nullDistsPath = [resultsRoot 'SVM/NullDists/' subjId '/'];
    end
    if ROIs == 1
        f.resultsPath   = [resultsRoot 'SVM/ROI_Results/' roi '/' subjId '/'];
        f.nullDistsPath   = [resultsRoot 'SVM/ROI_NullDists/' roi '/' subjId '/'];
    end
elseif strcmp('maxCorr', classifierType)
	if p.longWindow
		f.resultsPath   = [resultsRoot 'MaxCorr/Results_LongWindow/' subjId '/']
        f.nullDistsPath = [resultsRoot 'MaxCorr/NullDists_LongWindow/' subjId '/']
	else
		f.resultsPath   = [f.studyPath 'MaxCorr/Results/' subjId '/']
        f.nullDistsPath = [resultsRoot 'MaxCorr/NullDists/' subjId '/']
    end    
	if ROIs == 1
        f.resultsPath   = [resultsRoot 'MaxCorr/ROI_Results/' roi '/' subjId '/'];
        f.nullDistsPath = [resultsRoot 'MaxCorr/ROI_NullDists/' roi '/' subjId '/']
    end
elseif strcmp('naiveBayes', classifierType)
	if p.longWindow
		f.resultsPath   = [resultsRoot 'naiveBayes/Results_LongWindow/' subjId '/']
        f.nullDistsPath = [resultsRoot 'naiveBayes/NullDists_LongWindow/' subjId '/']
	else
		f.resultsPath   = [resultsRoot 'naiveBayes/Results/' subjId '/']
        f.nullDistsPath = [resultsRoot 'naiveBayes/NullDists/' subjId '/']
    end
	if ROIs == 1
        f.resultsPath   = [resultsRoot 'naiveBayes/ROI_Results/' roi '/' subjId '/'];
        f.nullDistsPath = [resultsRoot 'naiveBayes/ROI_NullDists/' roi '/' subjId '/']
    end
end

end
