function [subjId, p, f, attentionCond, nullOpt] = setupAnalysis(subj)

% History: Author: Katherine Hermann
%
% INPUTS: subjID
%         classifierType ('maxCorr' or 'svm')
%

disp(['subj is ' subj]);
subjId = [subj '_CombinedSess_01_02'];

homeDir = [pwd '/../'];

%% Options
eyePositionOpt = 0; % decode using eye position data (not MEG data)
classifierType = 'maxCorr'; %'svm', 'maxCorr', 'naiveBayes'
nullOpt = 0;
attentionCond = 'HueCond'; % 'HueCond' or 'LumCond'

%% Initialize decoding parameters
disp('Update decoding parameters as necessary in Functions/initializeDecodingParameters.m')
p = initializeDecodingParameters(classifierType, eyePositionOpt);

%% Initialize paths
f = initializePaths(subjId, homeDir, classifierType, p, eyePositionOpt, 0);

warning('off', 'all')
warning
end
