% numTrials is an optional argument and is the number of trials you want
% there to be in each cross validation split. If not provided, it defaults
% to whatever value is given in initializeDecodingParameters()
% 
% huePair is an optional argument that gives the index (1-6) of the hue 
% pair you want to decode (see generalizeHueAcrossLuminancesByConditionBinaryAll 
% for the pairs)
% elev indicates whether training will be done with light or dark colors
% (1=light 2=dark). Testing will be done on the opposite level
% If huePair is not provided, then all 12 problems will be decoded one by
% one. If huePair is provided but elev is not, then both combinations of
% training and testing levels will be decoded one by one
%
% resultsSuffix is an optional parameter and is a suffix you want to be
% added on to the end of the default filename of the saved results

function submitGenHueAcrossLumsBinaryAll(subj,numTrials,huePair,trainElev,resultSuffix)

[subjId, p, f, attentionCond, nullOpt] = setupAnalysis(subj);

if nargin > 2
	p.huePair = huePair;
end

if nargin > 3
	p.trainElev = trainElev;
end

if nargin > 1 && ~isempty(numTrials)
	p.reps_per_split = numTrials;
	p.nAvg = numTrials;
end

if nargin > 4
	f.resultSuffix = resultSuffix;
end

%% Decode

generalizeHueAcrossLuminancesByConditionBinaryAll(subjId, attentionCond, f, p, nullOpt)

end
