% numTrials is an optional argument and is the number of trials you want
% there to be in each cross validation split. If not provided, it defaults
% to whatever value is given in initializeDecodingParameters()
% 
% trainHue and testHue are optional parameters that give the index of the
% hue you want the classifier to be trained or tested on
% (1=pink,2=blue,3=green,4=orange). If they are not provided, then all the
% problems will be decoded one by one
%
% resultsSuffix is an optional parameter and is a suffix you want to be
% added on to the end of the default filename of the saved results

function submitGenLumAcrossHues(subj,numTrials,trainHue,testHue,resultSuffix)

[subjId, p, f, attentionCond, nullOpt] = setupAnalysis(subj);

if nargin > 1 && ~isempty(numTrials)
	p.reps_per_split = numTrials;
	p.nAvg = numTrials;
end

if nargin > 2
	p.trainHue = trainHue;
	p.testHue = testHue;
end

if nargin > 4
	f.resultSuffix = resultSuffix;
end

%% Decode

generalizeLumAcrossHuesByCondition(subjId, attentionCond, f, p, nullOpt)

end
