% numTrials is an optional argument and is the number of trials you want
% there to be in each cross validation split. If not provided, it defaults
% to whatever value is given in initializeDecodingParameters()
% 
% huePair is an optional argument that gives the index (1-6) of the hue 
% pair you want to decode (see decodeHueWithinALuminanceByConditionBinaryAll 
% for the pairs)
% elev indicates whether decoding will be done with light or dark colors
% (1=light 2=dark)
% If huePair is not provided, then all 12 problems will be decoded one by
% one. If huePair is provided but elev is not, then both the within-light
% and within-dark problems will be decoded one by one
%
% resultsSuffix is an optional parameter and is a suffix you want to be
% added on to the end of the default filename of the saved results

function submitHueWithinALumBinaryAll(subj,numTrials,huePair,elev,resultSuffix)

[subjId, p, f, attentionCond, nullOpt] = setupAnalysis(subj);

if nargin > 2
	p.huePair = huePair;
end

if nargin > 3
	p.elev = elev;
end

if nargin > 4
	f.resultSuffix = resultSuffix;
end

if nargin > 1 && ~isempty(numTrials)
	p.reps_per_split = numTrials;
	p.nAvg = numTrials;
end

disp('Done setting up analysis')

decodeHueWithinALuminanceByConditionBinaryAll(subjId, attentionCond, f, p, nullOpt)

end
