% numTrials is an optional argument and is the number of trials you want
% there to be in each cross validation split. If not provided, it defaults
% to whatever value is given in initializeDecodingParameters()
% 
% huePair is an optional argument that gives the index of the hue you want
% to decode (1=pink,2=blue,3=green,4=orange)
% If huePair is not provided, then all 4 problems will be decoded one by
% one. 
%
% resultsSuffix is an optional parameter and is a suffix you want to be
% added on to the end of the default filename of the saved results

function submitLumWithinAHue(subj,numTrials,huePair,resultSuffix)

[subjId, p, f, attentionCond, nullOpt] = setupAnalysis(subj);

if nargin > 2
	p.huePair = huePair;
end

if nargin > 1 && ~isempty(numTrials)
	p.reps_per_split = numTrials;
	p.nAvg = numTrials;
end

if nargin > 3
	f.resultSuffix = resultSuffix;
end

%% Decode

decodeLuminanceWithinAHueByCondition(subjId, attentionCond, f, p, nullOpt)

end
