% Initiate decoding of spiral identity
% numTrials is an optional parameter for specifying the number of trials to use in each CV split.
% 	If passed, numTrials overrides the values defined in initializeDecodingParameters. This option
%	was included to make it easier to run multiple decoding iterations with different numbers of trials in parallel 
%	through a cluster computer for the power analysis


function submitSpiralIdentity(subj,numTrials)
disp(['subj is ' subj]);
% set up
[subjId, p, f, attentionCond] = setupAnalysis(subj);

if nargin > 1
	p.reps_per_split = numTrials;
	p.nAvg = numTrials;
end
include_color_terms = 0;
pilot = 0;

%% Decode
% For now, we'll decode separately for the two attention conditions
decodeIdentityByCondition(subjId, attentionCond, f, p,include_color_terms, pilot);

end
