clearvars
close all

initializePaths
problem = 'SpiralIdentity';
filename = [problem '_decoding_results.mat'];

load([quantitativeDataDir filename]);

bin_starts = linspace(-200,595,160);

bootsamples = randi(18,1000,18);
for i = 1:3
    for j = 1:1000
        lightPinkSample(j,:) = squeeze(mean(outStruct.diag_BySubj(bootsamples(j,:),:,1),1));
        lightColorSample(j,:) = squeeze(mean(outStruct.diag_BySubj(bootsamples(j,:),:,(i-1)*2+3,1)));
        darkPinkSample(j,:) = squeeze(mean(outStruct.diag_BySubj(bootsamples(j,:),:,2),1));
        darkColorSample(j,:) = squeeze(mean(outStruct.diag_BySubj(bootsamples(j,:),:,(i-1)*2+4,1)));
        
    end
    lightDiffsBoot(:,:,i) = lightPinkSample - lightColorSample;
    darkDiffsBoot(:,:,i) = darkPinkSample - darkColorSample;

end

lightDiffsMeanBoot = mean(lightDiffsBoot,3);
darkDiffsMeanBoot = mean(darkDiffsBoot,3);

lightDiffsMeanBoot = sort(lightDiffsMeanBoot);
darkDiffsMeanBoot = sort(darkDiffsMeanBoot);

lightDiffsMeanBootMean = mean(lightDiffsMeanBoot);
darkDiffsMeanBootMean = mean(darkDiffsMeanBoot);

lightDiffsMeanCI = [lightDiffsMeanBoot(25,:);lightDiffsMeanBoot(975,:)];
darkDiffsMeanCI = [darkDiffsMeanBoot(25,:);darkDiffsMeanBoot(975,:)];

lightDiffsMeanCIDists = abs(lightDiffsMeanBootMean - lightDiffsMeanCI);
darkDiffsMeanCIDists = abs(darkDiffsMeanBootMean - darkDiffsMeanCI);

%for lights
figure
boundedline(bin_starts,lightDiffsMeanBootMean,lightDiffsMeanCIDists','cmap',[0.4 0.4 0.4])
line(bin_starts,zeros(size(bin_starts)),'Color',[0.6 0.6 0.6], 'LineWidth', 2)
yrange = [-0.1 0.5];
ylim(yrange)
line([0 0],yrange,'Color',[0.6 0.6 0.6], 'LineWidth', 2)
xlabel('Time (ms)')
ylabel('mean(light pink - light color)')

%for darks
figure
boundedline(bin_starts,darkDiffsMeanBootMean,darkDiffsMeanCIDists','cmap',[0 0 0])
line(bin_starts,zeros(size(bin_starts)),'Color',[0.6 0.6 0.6], 'LineWidth', 2)
yrange = [-0.1 0.5];
ylim(yrange)
line([0 0],yrange,'Color',[0.6 0.6 0.6], 'LineWidth', 2)
xlabel('Time (ms)')
ylabel('mean(dark pink - dark color)')

%same axis
figure
boundedline(bin_starts,darkDiffsMeanBootMean,darkDiffsMeanCIDists','cmap',[0 0 0])
hold on
boundedline(bin_starts,lightDiffsMeanBootMean,lightDiffsMeanCIDists','cmap',[0.3 0.3 0.3],'alpha')
line(bin_starts,zeros(size(bin_starts)),'Color',[0.6 0.6 0.6], 'LineWidth', 2)
yrange = [-0.2 0.5];
ylim(yrange)
line([0 0],yrange,'Color',[0.6 0.6 0.6], 'LineWidth', 2)
xlabel('Time (ms)')
ylabel('mean(pink - other colors)')

