%Shridhar 9/14/2020
close all
% clearvars

initializePaths
filename = 'colorTermGeneralization_XT.mat';
load([quantitativeDataDir filename])

problems = {'TrainElev20TestTerms'...
    'TrainElev340TestTerms'...
    'TrainTermsTestElev20'...
    'TrainTermsTestElev340'};

condition = 'HueCond';

figNum = 1;
for i = 1 : numel(problems)
    probName = problems{i};
    clear plot_obj f
    probCond = [probName '_' condition];
    results = termXT.(probCond);
    allResults(:,:,:,i) = results;
    meanDecodingMat = mean(results,3);
    f = figure(figNum)
    decoding_result_type_name = probName;
end

colorRange = [45 55];
%average across luminances
decodingTrainSpiralAvg = mean(allResults(:,:,:,[1,2]),[3,4]);
decodingTrainTermsAvg = mean(allResults(:,:,:,[3,4]),[3,4]);

f = figure(figNum)
decoding_result_type_name = ['Temporal Cross Decoding Avg Across Lum - Train Spirals, Test Terms'];
z = plotAvgHeatMapNoSigCustom(decodingTrainSpiralAvg, decoding_result_type_name, figNum,1,[45 55],5,200,0,1400,200)
axis square
xlabel('Test time on Terms (ms)', 'FontSize', 14)
ylabel('Train time on Spirals (ms)','FontSize', 14)

figNum = figNum + 1;

f = figure(figNum)
decoding_result_type_name = ['Temporal Cross Decoding Avg Across Lum - Train Terms, Test Spirals'];
z = plotAvgHeatMapNoSigCustom(decodingTrainTermsAvg, decoding_result_type_name, figNum,1,[45 55],5,200,0,1400,200)
caxis(colorRange)
xlabel('Test time on Spirals (ms)', 'FontSize', 14)
ylabel('Train time on Terms (ms)', 'FontSize', 14)
axis square

figNum = figNum + 1;

%check for significance
decodingTrainSpirals = mean(allResults(:,:,:,[1,2]),4);
decodingTrainTerms = mean(allResults(:,:,:,[3,4]),4);

nTimePts = size(decodingTrainSpirals,1);

bootsamples = randi(18,1000,18);
allProblemBoot = zeros(nTimePts,nTimePts,1000,numel(problems));
for i = 1:size(bootsamples,1)
   for j = 1:size(allResults,4)
       sample = allResults(:,:,bootsamples(i,:),j);
       allProblemBoot(:,:,i,j) = mean(sample,3);
   end
end

chance = 0.5;
pAllProbs = squeeze(sum((allProblemBoot-chance < 0),3) / 1000);
hAllProbs = pAllProbs < 0.05;
[hAllProbsFDR,~,~,pAllProbsFDR] = fdr_bh(pAllProbs,0.05);

trainSpiralsMean = mean(allResults(:,:,:,1:2),4);
trainTermsMean = mean(allResults(:,:,:,3:4),4);

trainSpiralsMean = permute(trainSpiralsMean,[3,1,2]);
trainTermsMean = permute(trainTermsMean,[3,1,2]);

allResults = permute(allResults,[3,1,2,4]);
for i = 1:4
    [h(:,:,i),~,~,~,map(:,:,i)] = fl_permutation_cluster_1sample(allResults(:,:,:,i)-0.5, 1000, 0.05, 0.05,'right','means');
end


[hSpirals,~,~,~,map] = fl_permutation_cluster_1sample(trainSpiralsMean-0.5, 1000, 0.01, 0.05,'right','means')


for i = 1:numel(problems)
    decoding_result_type_name = problems{i};
    z = plotAvgHeatMapNoSigCustom(hAllProbsFDR(:,:,i), decoding_result_type_name, figNum,1,[0 1],5,200,0,1400,200)
    figNum = figNum+1;
    axis square
end

for i = 1:numel(problems)
    decoding_result_type_name = problems{i};
    z = plotAvgHeatMapNoSigCustom(h(:,:,i), decoding_result_type_name, figNum,1,[0 1],5,200,0,1400,200)
    figNum = figNum+1;
    axis square
end

for i = 1:numel(problems)
    decoding_result_type_name = problems{i};
    z = plotAvgHeatMapNoSigCustom(map(:,:,i), decoding_result_type_name, figNum,1,[0 1],5,200,0,1400,200)
    figNum = figNum+1;
    axis square
end

