
%% load the saved results
clearvars
close all

%wherever /ds4/bc6 is mounted
initializePaths
savePath    = [quantitativeDataDir '/../PowerAnalysis/'];

nAvgAll = [7,19,30,37]; %how much of the data was used 
allResults = cell(numel(nAvgAll),2);
for i = 1:numel(nAvgAll)
    nAvg = nAvgAll(i);
    svname = [savePath 'spiralID_' num2str(nAvg) 'repsPerSplit.mat'];
    if ~exist(svname,'file')
        gather_spiralID_powerAnalysis_results
    end
    load(svname)
    allResults(i,:) = results;
end


%% average the correlations

%bootstrap over subjects for each run
for trialNum = 1:size(allResults,1)
    for dataSplit = 1:size(allResults,2)
        for iRun = 1:10
            set1 = squeeze(allResults{trialNum,1}(iRun,:,:))';
            set2 = squeeze(allResults{trialNum,2}(iRun,:,:))'; 
            allCorrs{trialNum}(iRun,:) = diag(corr(set1,set2));
            allCorrsMean{trialNum}(iRun) = mean(allCorrs{trialNum}(iRun,:));
        end
        allCorrsRunsMean(trialNum) = mean(allCorrsMean{trialNum});
        allCorrsRunsStd(trialNum) = std(allCorrsMean{trialNum});
    end
end

percentOfTrials = [0.1,0.25,0.4,0.5];
figure
errorbar(percentOfTrials,allCorrsRunsMean,allCorrsRunsStd,'Color',[0,0,0]);

xlim([0,0.6])
ylim([0,0.7])
xlabel('percent of trials used')
ylabel('correlation between independent results')
title('SpiralID Power Analysis');

