function concordMat = colorNamingConcordance()

initializePaths

subjIDs = {'lilac04','lilac05','lilac06','lilac07','lilac10','lilac12',...
    'lilac13','lilac14','lilac15','lilac16','lilac17','lilac18',...   
    'lilac19','lilac20','lilac21','lilac22','lilac23','lilac24'};

%%
nCol = 8;
colorNames = cell(nCol,1);
for i = 1:numel(subjIDs)
    namingDataFile = [subjIDs{i} ' Color Terms Experiment.xlsx'];
    namingDataPath = [studyPath 'Scan_Sessions/' subjIDs{i} filesep];

    dataCell = readcell([namingDataPath namingDataFile]);
    namingData = dataCell(9:16,1:5);
    for j = 1:nCol
       iRand = randi(3) + 2;
       colorNames{j,i} = namingData(j,iRand); 
    end
end

subjConcordMat = zeros(nCol/2,numel(subjIDs));
for i = 1:numel(subjIDs)
    for j = 1:nCol/2
        highLumI = (j-1)*2+1;
        lowLumI = (j-1)*2+2;
        if strcmp(colorNames{highLumI,i},colorNames{lowLumI,i})
           subjConcordMat(j,i) = 1; 
        end
    end
end

pythonCommandStr = 'python mTurkConcordance.py';
[status,~] = system(pythonCommandStr);

mTurkConcordMat = load([studyPath 'Geometry_noBadTrials/Quantitative_Data/mTurkConcord.mat']);
mTurkConcordMat = mTurkConcordMat.concordMat;
mTurkConcordMat = double(mTurkConcordMat);
concordMat = cat(2,mTurkConcordMat,subjConcordMat);

end
