% Gather and save power analysis runs for quick access

function gather_spiralID_powerAnalysis_results()

initializePaths
savePath    = [quantitativeDataDir 'powerAnalysis/'];

subjIDs = {'lilac04_CombinedSess_01_02',...    
    'lilac05_CombinedSess_01_02', ... 
    'lilac06_CombinedSess_01_02', ... 
    'lilac07_CombinedSess_01_02', ...
    'lilac10_CombinedSess_01_02',... 
    'lilac12_CombinedSess_01_02',...
    'lilac13_CombinedSess_01_02',...
    'lilac14_CombinedSess_01_02', ...
    'lilac15_CombinedSess_01_02',...
    'lilac16_CombinedSess_01_02',...
    'lilac17_CombinedSess_01_02',...
    'lilac18_CombinedSess_01_02',...   
    'lilac19_CombinedSess_01_02',...
    'lilac20_CombinedSess_01_02',...
    'lilac21_CombinedSess_01_02',...
    'lilac22_CombinedSess_01_02', ... 
    'lilac23_CombinedSess_01_02', ... 
    'lilac24_CombinedSess_01_02'};


trialReps = [7,19,30,37];
runs = [1,2,3,4,5,6,7,8,9,10];

problem = 'SpiralIdentity_HueCond';

for numTrial = 1:numel(trialReps)
 nAvg = trialReps(numTrial);
 for iRun = 1:numel(runs)
    runNum = runs(iRun);
    params_desc = ['25sensors_',num2str(nAvg),'avg_5splits_' num2str(nAvg),'repsPerSplit_run' num2str(runNum)];
        for iSubj = 1:numel(subjIDs)
            subj = subjIDs{iSubj};
            %load and save genHue
            results_root = [resultsBase subj '/'];            
            filename = [subj '_' problem '_' params_desc '.mat'];
            real_decoding_results_file_name  = [results_root problem '/' filename];
            load(real_decoding_results_file_name);
            decodingResults1 = DECODING_RESULTS1.ZERO_ONE_LOSS_RESULTS.mean_decoding_results;
            decodingResults2 = DECODING_RESULTS2.ZERO_ONE_LOSS_RESULTS.mean_decoding_results;
            results{1}(iRun,iSubj,:) = decodingResults1;
            results{2}(iRun,iSubj,:) = decodingResults2;                        
        end
        disp(runNum)
 end

svname = [savePath 'spiralID_' num2str(nAvg) 'repsPerSplit.mat'];
save(svname, 'results');

end
