%lilac4 and lilac5 are getting different results than before, so the sig
%maps are not the same as in the paper. Noticed that the decoding results
%for those were last modified on 9/16/2020, whereas all the other subject
%decoding results were last modified on 9/14/2020. Rerunning lilac4,5 to
%see if it gets fixed. For now, just put the old gathered version into the
%new format 

clearvars
initializePaths
resultsBase = [studyPath 'Intermediates_Study/MaxCorr/Results_LongWindow/'];
saveDir = quantitativeDataDir;

subjIDs = {'lilac04_CombinedSess_01_02',...    
    'lilac05_CombinedSess_01_02', ... 
    'lilac06_CombinedSess_01_02', ... 
    'lilac07_CombinedSess_01_02', ...
    'lilac10_CombinedSess_01_02',... 
    'lilac12_CombinedSess_01_02',...
    'lilac13_CombinedSess_01_02',...
    'lilac14_CombinedSess_01_02', ...
    'lilac15_CombinedSess_01_02',...
    'lilac16_CombinedSess_01_02',...
    'lilac17_CombinedSess_01_02',...
    'lilac18_CombinedSess_01_02',...   
    'lilac19_CombinedSess_01_02',...
    'lilac20_CombinedSess_01_02',...
    'lilac21_CombinedSess_01_02',...
    'lilac22_CombinedSess_01_02', ... 
    'lilac23_CombinedSess_01_02', ... 
    'lilac24_CombinedSess_01_02'};

params_desc = '25sensors_75avg_5splits_75repsPerSplit';
problems = {'TrainTermsTestElev20',...
    'TrainTermsTestElev340',...
    'TrainElev20TestTerms',...
    'TrainElev340TestTerms'};
cond = 'HueCond';
nTimePts = 280;

for iProb = 1:numel(problems)
    results = zeros(nTimePts,nTimePts,numel(subjIDs));
    probCond = [problems{iProb} '_' cond];
    disp(probCond)
    for iSubj = 1:numel(subjIDs)
        subj = subjIDs{iSubj};
        dataDir = [resultsBase subj filesep probCond filesep];
        filename = [subj '_' probCond '_' params_desc '.mat'];
        load([dataDir filename])
        results(:,:,iSubj) = DECODING_RESULTS.ZERO_ONE_LOSS_RESULTS.mean_decoding_results;
    end
    termXT.(probCond) = results;
end
saveFilename = 'colorTermGeneralization_XT.mat';
save([saveDir saveFilename], 'termXT');