
function [normalized_avg, st_dev, diag_BySubj, all_BySubj] = getNormalizedConfusionMatrices(subjs, timepoint_ms, problem)
% confusion matrix is num_predicted_classes x num_actual_classes;
% specifies how often a test point j was classified as belonging to class i 
% (where j indicates column indices, and i indicates row indices)

initializePaths
nCol = 8;

all_BySubj = zeros(nCol,nCol,numel(subjs),size(timepoint_ms,2));
diag_BySubj = zeros(nCol,numel(subjs),size(timepoint_ms,2));

for ind = 1:numel(subjs)
    subj = [subjs{ind} '_CombinedSess_01_02'];
    disp(subj);
    bin_size = 5; %in ms
    results_root = [resultsBase subj '/'];
    filename = [subj '_' problem '_' params_desc '.mat'];
    real_decoding_results_file_name  = [results_root problem '/' filename];
    % load results
    load(real_decoding_results_file_name);
    for iTime = 1:size(timepoint_ms,2)
        confusion = DECODING_RESULTS.ZERO_ONE_LOSS_RESULTS.confusion_matrix_results.confusion_matrix;
        timepoint_wBaseline = timepoint_ms(ind,iTime) + 200;
        timepoint_ind = floor(timepoint_wBaseline/bin_size) +1;
        this_timepoint = confusion(:, :, timepoint_ind);
        for i = 1 : size(this_timepoint, 2)
            normalized(:, i,ind,iTime) = this_timepoint(:, i)./sum(this_timepoint(:, i));
        end
        all_BySubj(:,:,ind,iTime) = normalized(:, :,ind,iTime);
        diag_BySubj(:,ind,iTime) = diag(normalized(:, :,ind,iTime) );
    end
end

normalized_avg = squeeze(mean(normalized,3));
st_dev = squeeze(std(normalized,0,3))/sqrt(size(normalized,3));

end