%Shridhar Singh 9-4-2020


%% Try the same but with peak-adjusted times - first must save and load that
clear all
close all

initializePaths
%load in the values

onsetStruct_Diag_name = 'SpiralIdentity_25sensors_75avg_5splits_75repsPerSplit_MaxCorr_onsetDataStruct_Diag.mat';
outStruct_name = 'SpiralIdentity_25sensors_75avg_5splits_75repsPerSplit_MaxCorrKeyTimepoints_5consec_mean.mat';
problem = 'SpiralIdentity';

filename = [problem '_peak_adjusted_decoding_results.mat'];
load([quantitativeDataDir filename]);
% load([quantitative_data_dir outStruct_name]);

%% pull out results for each time point
% [meanConMats, meanConMatStds, diag_BySubj, all_BySubj]= view_AvgConfusion_noPlots_CT_temporal_evolution(subjs, times, problems_List, 0);
% save(savepath,'meanConMats','meanConMatStds','diag_BySubj','all_BySubj','relativeTimes','times');
% load(savepath);

for i = 1:size(meanConMats,3)
    norm_avg_diag(:,i) = diag(meanConMats(:,:,i));
    st_dev_diag(:,i) = diag(meanConMatStds(:,:,i));
end

colorMark = [250 199 241; 
    221 153 210
   187 213 242
   135 174 211
    159 225 174
    77 189 112
    233 212 173 %
    201 172 111]./255; %

light_inds = [1 3 5 7];
dark_inds = [2 4 6 8];
peakInd = find(relativeTimes==0);
% iTime = 
f2 = figure('Color',[1 1 1])
plot([0.3 0.75],[0.3 0.75],'Color',[0.5 0.5 0.5])
hold on
errorbar(norm_avg_diag(light_inds,peakInd),norm_avg_diag(dark_inds,peakInd), st_dev_diag(dark_inds,peakInd), st_dev_diag(dark_inds,peakInd),'k.')
hold on
herrorbar(norm_avg_diag(light_inds,peakInd),norm_avg_diag(dark_inds,peakInd), st_dev_diag(light_inds,peakInd), st_dev_diag(light_inds,peakInd),'k.')
for iMark = 1:numel(light_inds)
    scatter(norm_avg_diag(light_inds(iMark),peakInd),norm_avg_diag(dark_inds(iMark),peakInd),130,...
        'MarkerFaceColor',colorMark(dark_inds(iMark),:), 'MarkerEdgeColor','none')
    hold on
end

%% make a movie of the plot above
axisScale = 1.2;
f = figure('Color',[1 1 1])

for i = 1:size(norm_avg_diag,2)
    minVal = min(norm_avg_diag(:,i))/axisScale;
    maxVal = max(norm_avg_diag(:,i))*axisScale;
    plot([minVal maxVal],[minVal maxVal],'Color',[0.5 0.5 0.5])
    hold on
    errorbar(norm_avg_diag(light_inds,i),norm_avg_diag(dark_inds,i), st_dev_diag(dark_inds,i), st_dev_diag(dark_inds,i),'k.')
    hold on
    herrorbar(norm_avg_diag(light_inds,i),norm_avg_diag(dark_inds,i), st_dev_diag(light_inds,i), st_dev_diag(light_inds,i),'k.')
    for iMark = 1:numel(light_inds)
        scatter(norm_avg_diag(light_inds(iMark),i),norm_avg_diag(dark_inds(iMark),i),130,...
            'MarkerFaceColor',colorMark(dark_inds(iMark),:), 'MarkerEdgeColor','none')
        hold on
    end
    xlabel('Classification accuracy, light')
    ylabel('Classification accuracy, dark')
    xlim([minVal maxVal])
    ylim([minVal maxVal])
    title([num2str(relativeTimes(i)) 'ms'])
    M(i) = getframe(f)
    cla
end

videoSavePath = [figuresDir 'Movies/']
v = VideoWriter([videoSavePath 'light_v_dark_decoding_movie.avi']);
v.Quality = 100;
v.FrameRate = 5;
open(v)
writeVideo(v, M)
close(v)

%% Do the same as above but with 95% CI's

diagConMatBootMean = mean(diagConMatBoot,2);
diagConMatCIDists = abs(diagConMatBootMean-diagConMatCI);

light_inds = [1 3 5 7];
dark_inds = [2 4 6 8];
peakInd = find(relativeTimes==0);
% iTime = 
f2 = figure('Color',[1 1 1])
plot([0.3 0.75],[0.3 0.75],'Color',[0.5 0.5 0.5])
hold on
errorbar(diagConMatBootMean(light_inds,1,peakInd),diagConMatBootMean(dark_inds,1,peakInd),...
    diagConMatCIDists(dark_inds,1,peakInd), diagConMatCIDists(dark_inds,2,peakInd),'k.')
hold on
herrorbar(diagConMatBootMean(light_inds,1,peakInd),diagConMatBootMean(dark_inds,1,peakInd),... 
    diagConMatCIDists(light_inds,1,peakInd), diagConMatCIDists(light_inds,2,peakInd),'k.')

for iMark = 1:numel(light_inds)
    scatter(diagConMatBootMean(light_inds(iMark),1,peakInd),diagConMatBootMean(dark_inds(iMark),1,peakInd),130,...
        'MarkerFaceColor',colorMark(dark_inds(iMark),:), 'MarkerEdgeColor','none')
    hold on
end

%movie

%get min and max value so I can define the x and y limits
axisScale = 1.2;
maxVal = max(diagConMatBootMean,[],'all')*axisScale;
minVal = min(diagConMatBootMean,[],'all')/axisScale;

f = figure('Color',[1 1 1])
for i = 1:size(norm_avg_diag,2)
    plot([minVal maxVal],[minVal maxVal],'Color',[0.5 0.5 0.5])
    hold on
    errorbar(diagConMatBootMean(light_inds,1,i),diagConMatBootMean(dark_inds,1,i),...
    diagConMatCIDists(dark_inds,1,i), diagConMatCIDists(dark_inds,2,i),'k.')
    hold on
    herrorbar(diagConMatBootMean(light_inds,1,i),diagConMatBootMean(dark_inds,1,i),... 
        diagConMatCIDists(light_inds,1,i), diagConMatCIDists(light_inds,2,i),'k.')

    for iMark = 1:numel(light_inds)
        scatter(diagConMatBootMean(light_inds(iMark),1,i),diagConMatBootMean(dark_inds(iMark),1,i),130,...
            'MarkerFaceColor',colorMark(dark_inds(iMark),:), 'MarkerEdgeColor','none')
        hold on
    end

    xlim([minVal maxVal])
    ylim([minVal maxVal])
    xlabel('Classification accuracy, light')
    ylabel('Classification accuracy, dark')
    title([num2str(relativeTimes(i)) 'ms'])
    M(i) = getframe(f)
    cla
end

videoSavePath = [figuresDir 'Movies/']
v = VideoWriter([videoSavePath 'light_v_dark_decoding_movie_95CI.avi']);
v.FrameRate = 5;
v.Quality = 100;
open(v)
writeVideo(v, M)
close(v)
