function [cmap] = create_chanceAligned_colormap(chanceVal, topVal, bottomVal, topColor, bottomColor,toFlip)
%use whichever one is furthest from chance as max range
% to set your increments. other color is whatever is
%equal distance away

if nargin < 6
    toFlip = 0;
end

numColors = 64;
range = topVal - bottomVal;
white = [1 1 1];
if (abs(topVal - chanceVal) >= abs(bottomVal - chanceVal))
    maxFromChance = abs(topVal - chanceVal)/range;
    topIsBiggest = 1;
else
    maxFromChance = abs(bottomVal - chanceVal)./range;
    topIsBiggest = 0;
end
maxColors = ceil(maxFromChance*numColors); %how many colors to have above chance
colorsAboveChance = [linspace(white(1),topColor(1),maxColors)'...
    linspace(white(2),topColor(2),maxColors)'...
    linspace(white(3),topColor(3),maxColors)'];
%imshow(1:53',colorsAboveChance) %if you want to check
%make a vector of the same length going the other direction
colorsBelowChance = [linspace( bottomColor(1),white(1), maxColors)'...
    linspace( bottomColor(2),white(2),maxColors)'...
    linspace( bottomColor(3),white(3),maxColors)'];
symmetricColorVec = [colorsBelowChance; white; colorsAboveChance];
%imshow(1:107', symmetricColorVec)

%crop out unused bottom portion

if ~topIsBiggest
    cvec = symmetricColorVec(1:numColors,:);
else
    cvec = symmetricColorVec(size(symmetricColorVec,1)-numColors + 1:end,:);
end
if toFlip
    cvec = flip(cvec);
end
cmap = cvec;
end