function [cmap] = create_customAligned_colormap(customVal, topVal, bottomVal, topColor, bottomColor, middleColor)
%use whichever one is furthest from chance as max range
% to set your increments. other color is whatever is
%equal distance away
numColors = 64;
range = topVal - bottomVal;
if (abs(topVal - customVal) >= abs(bottomVal - customVal))
    maxFromChance = abs(topVal - customVal)/range;
    topIsBiggest = 1;
else
    maxFromChance = abs(bottomVal - customVal)/range;
    topIsBiggest = 0;
end
maxColors = ceil(maxFromChance*numColors); %how many colors to have above chance
colorsAboveChance = [linspace(middleColor(1),topColor(1),maxColors)'...
    linspace(middleColor(2),topColor(2),maxColors)'...
    linspace(middleColor(3),topColor(3),maxColors)'];
%imshow(1:53',colorsAboveChance) %if you want to check
%make a vector of the same length going the other direction
colorsBelowChance = [linspace( bottomColor(1),middleColor(1), maxColors)'...
    linspace( bottomColor(2),middleColor(2),maxColors)'...
    linspace( bottomColor(3),middleColor(3),maxColors)'];
symmetricColorVec = [colorsBelowChance; middleColor; colorsAboveChance];
%imshow(1:107', symmetricColorVec)

%crop out unused bottom portion
if ~topIsBiggest
    cmap = symmetricColorVec(1:numColors,:);
else
    cmap = symmetricColorVec(size(symmetricColorVec,1)-numColors + 1:end,:);
end
end