function [peakI,XmovMean] = getFirstPeak(X,movWindow,earliestI,latestI)

%take a moving average to smooth out any kinks and get the general shape of
%the decoding
XmovMean = movmean(X,movWindow,2);

localMaxI = localMaxs(XmovMean);
localMinI = localMins(XmovMean);

localMaxI = unique(localMaxI);
localMinI = unique(localMinI);

if localMaxI(1) < localMinI(1)
    localMaxI = localMaxI(2:end);
end

if length(localMinI) > length(localMaxI)
    numIter = length(localMaxI);
else
    numIter = length(localMinI);
end
for i = 1:numIter
   diffs(i) = XmovMean(localMaxI(i)) - XmovMean(localMinI(i));
end

[~,diffsSortI] = sort(diffs,'descend');
ind = 1;
maxDiffI = diffsSortI(ind);
peakI = localMaxI(maxDiffI);
while peakI > latestI || peakI < earliestI
    ind = ind+1;
    maxDiffI = diffsSortI(ind);
    peakI = localMaxI(maxDiffI);
end

%correct for difference between move mean version and real plot
windowR = ceil(movWindow/2);
peakValues = X(peakI-windowR:peakI+windowR);
[~,I] = max(peakValues);
peakI = peakI + I - windowR - 1;

end

function minima = localMins(X)

minima = [];
for i = 2:length(X)-1
    if X(i) <= X(i-1) && X(i) <= X(i+1)
        minima = [minima i];
    end
end

end

function maxima = localMaxs(X)

maxima = [];
for i = 2:length(X)-1
    if X(i) >= X(i-1) && X(i) >= X(i+1)
        maxima = [maxima i];
    end
end

end