function dataRange = plotAvgHeatMapNoSig(decoding_mat,decoding_result_type_name,figNum,range,toMultiply)

% INPUTS: real_decoding_results_file_name should be a cell containing a
% string filename, e.g. {'results_path/filename.mat'}; to plot multiple
% results on the same plot (not averaged), include more than one filename
% (e.g. {'results_path/filename1.mat', 'results_path/filename2.mat'})

%% Create standard plot object
if nargin < 6
    decoding_mat = decoding_mat .* 100;
end
plot_obj = plot_standard_results_TCT_object(decoding_mat); % should use binning params in the results file; make sure it does

% plot_obj.errorbar_file_names = (resultsFilenames{j}); % stds over resample runs
if ~exist('startTime')
    plot_obj.plot_time_intervals.alignment_event_time = 200;
else
    plot_obj.plot_time_intervals.alignment_event_time = startTime;
end

plot_obj.plot_time_intervals.bin_width = 5;
plot_obj.plot_time_intervals.alignment_type = [];
plot_obj.plot_time_intervals.sampling_interval = plot_obj.plot_time_intervals.bin_width;
plot_obj.plot_time_intervals.start_time = 0;%1;
plot_obj.plot_time_intervals.end_time = 800;
plot_obj.plot_time_intervals.alignment_type = 3; %align to end of bins

plot_obj.significant_event_times = [0];
plot_obj.significant_training_event_times = [0];
plot_obj.font_size = 14;
plot_obj.decoding_result_type_name = decoding_result_type_name
plot_obj.display_TCT_movie = 0; %can change to get specific plots at given times
% plot_obj.legend_names = conditions
plot_obj.TCT_figure_number = figNum;
plot_obj.chance_level = (1./size(decoding_mat,1)) .* 100;
if nargin >= 4
    plot_obj.color_result_range = range;
else
    plot_obj.color_result_range = [40 65];
end


%     % Plot
dataRange = plot_obj.plot_results;

end