function dataRange = plotAvgHeatMapNoSigCustomXY(decoding_mat, decoding_result_type_name, figNum,toMultiply,range,bin_width,alignment,Xrange,Yrange)

% INPUTS: real_decoding_results_file_name should be a cell containing a
% string filename, e.g. {'results_path/filename.mat'}; to plot multiple
% results on the same plot (not averaged), include more than one filename
% (e.g. {'results_path/filename1.mat', 'results_path/filename2.mat'})

%% Create standard plot object
if nargin < 4 || toMultiply == 1
    decoding_mat = decoding_mat .* 100;
end
plot_obj = plot_standard_results_TCT_object_customXY(decoding_mat); % should use binning params in the results file; make sure it does

% plot_obj.errorbar_file_names = (resultsFilenames{j}); % stds over resample runs
plot_obj.plot_time_intervalsX.start_time = Xrange(1);
plot_obj.plot_time_intervalsX.end_time = Xrange(2);
plot_obj.plot_time_intervalsY.start_time = Yrange(1);
plot_obj.plot_time_intervalsY.end_time = Yrange(2);


if exist('alignment')
    plot_obj.plot_time_intervalsX.alignment_event_time = alignment;
    plot_obj.plot_time_intervalsY.alignment_event_time = alignment;
else
    plot_obj.plot_time_intervalsX.alignment_event_time = 200;
    plot_obj.plot_time_intervalsY.alignment_event_time = 200;
end

if exist('bin_width')
    plot_obj.plot_time_intervalsX.bin_width = bin_width;
    plot_obj.plot_time_intervalsY.bin_width = bin_width;
else
    plot_obj.plot_time_intervalsX.bin_width = 5;
    plot_obj.plot_time_intervalsY.bin_width = 5;
end

if exist('range')
    plot_obj.color_result_range = range;
else
    plot_obj.color_result_range = [40 65];
end

plot_obj.plot_time_intervalsX.alignment_type = [];
plot_obj.plot_time_intervalsX.sampling_interval = plot_obj.plot_time_intervals.bin_width;
plot_obj.plot_time_intervalsX.alignment_type = 3; %align to end of bins

plot_obj.plot_time_intervalsY.alignment_type = [];
plot_obj.plot_time_intervalsY.sampling_interval = plot_obj.plot_time_intervals.bin_width;
plot_obj.plot_time_intervalsY.alignment_type = 3; %align to end of bins

plot_obj.significant_event_times = [0];
plot_obj.significant_training_event_times = [0];
plot_obj.font_size = 14;
plot_obj.decoding_result_type_name = decoding_result_type_name
plot_obj.display_TCT_movie = 0; %can change to get specific plots at given times
% plot_obj.legend_names = conditions
plot_obj.TCT_figure_number = figNum;
plot_obj.chance_level = (1./size(decoding_mat,1)) .* 100;

%     % Plot
dataRange = plot_obj.plot_results;

end