
function plotNoSignificance(real_decoding_results_file_name, results_legend_names)

% INPUTS: real_decoding_results_file_name should be a cell containing a
% string filename, e.g. {'results_path/filename.mat'}; to plot multiple
% results on the same plot (not averaged), include more than one filename
% (e.g. {'results_path/filename1.mat', 'results_path/filename2.mat'})

%% Create standard plot object
plot_obj = plot_standard_results_object(real_decoding_results_file_name); % should use binning params in the results file; make sure it does
plot_obj.errorbar_file_names = (real_decoding_results_file_name); % stds over resample runs
plot_obj.plot_time_intervals.alignment_event_time = 200;

plot_obj.font_size = 18;
plot_obj.legend_names = results_legend_names

%% Plot
plot_obj.plot_results;

end