
function [latency_ind, peakInd, onsetTime, peakVal, peakTime, p_values, SNR] = plotWithSignificance(real_decoding_results_file_name, null_distribution_directory_name, results_legend_names)

%% Create pval object
null_distribution_directory_name
pval_obj = pvalue_object(real_decoding_results_file_name, null_distribution_directory_name);
pval_obj.latency_time_interval.bin_width = 5;
pval_obj.latency_time_interval.sampling_interval = 5;
pval_obj.latency_num_consecutive_sig_bins = 5;
pval_obj.latency_alpha_significance_level = 0.005;
[p_values null_distributions PVALUE_PARAMS] = pval_obj.create_pvalues_from_nulldist_files

[latency_time latency_ind] = pval_obj.get_latency_of_decoded_information;

disp(['Smallest possible significance level = ' num2str(PVALUE_PARAMS.smallest_significance_level)]);
disp(['Type of results used = ' num2str(PVALUE_PARAMS.result_type_name)]);
disp(['Latency alpha significance level used = ' num2str(PVALUE_PARAMS.latency_alpha_significance_level)]);
%% Create standard plot object
plot_obj = plot_standard_results_object({real_decoding_results_file_name}); % should use binning params in the results file; make sure it does
plot_obj.errorbar_file_names = ({real_decoding_results_file_name}); % stds over resample runs
plot_obj.plot_time_intervals.alignment_event_time = 200;
plot_obj.significant_event_times = 0;
plot_obj.p_value_alpha_level = 0.005;
plot_obj.p_values = {p_values}; % created above

plot_obj.legend_names = results_legend_names

%% Plot
plot_obj.plot_results;

real_results = pval_obj.real_results;
[peakVal, peakInd] = max(real_results)
starts = floor(linspace(-200, 600, 161));
peakTime = [starts(peakInd), starts(peakInd + 1)]
onsetTime = [starts(latency_ind), starts(latency_ind + 1)-1]

% Calc SNR
baselineInds = [1 : 40];
baselineAcc  = real_results(baselineInds);
SNR = peakVal/std(baselineAcc)

end