
function view_confusion(DECODING_RESULTS, timepoint_ind)

% confusion matrix is num_predicted_classes x num_actual_classes; 
% specifies how often a test point j was classified as belonging to class i 
% (where j indicates column indices, and i indicates row indices)
confusion = DECODING_RESULTS.ZERO_ONE_LOSS_RESULTS.confusion_matrix_results.confusion_matrix; 
this_timepoint = confusion(:, :, timepoint_ind);
for i = 1 : size(this_timepoint, 2)
    normalized(:, i) = this_timepoint(:, i)./sum(this_timepoint(:, i));
end

figure1 = figure('Color',[1 1 1]);
axes1 = axes('Parent',figure1,'Layer','top','YDir','reverse','XTick',[],...
    'YTick',[]);
box(axes1,'on');
hold(axes1,'on');
image(normalized,'Parent',axes1,'CDataMapping','scaled');
xlabel('Actual Class','FontSize',18);
ylabel('Predicted Class','FontSize',18,'Color',[0.15 0.15 0.15]);
colorbar('peer',axes1);

end