%Shridhar Singh edit of compareRefRDM2candRDMs
%Just does kendall tau a 

function stats_p_r=compareRefRDM2candRDMs_customVec(refVecs, candVecs,userOptions)
import rsa.*
import rsa.fig.*
import rsa.fmri.*
import rsa.rdm.*
import rsa.sim.*
import rsa.spm.*
import rsa.stat.*
import rsa.util.*

nSubjects = size(refVecs,2);

[ceilingUpperBound, ceilingLowerBound, bestFitRDM]=ceilingAvgRDMcorr_customVec(refVecs,userOptions.RDMcorrelationType,false);
stats_p_r.ceiling = [ceilingLowerBound,ceilingUpperBound];

for candI = 1:size(candVecs,2)
    for subI = 1:nSubjects
        cand2refSims(subI,candI)=rankCorr_Kendall_taua(candVecs(:,candI),refVecs(:,subI));
    end
end

%cand2refSims will be nSubj*numModels

y = mean(cand2refSims,1);

for testi = 1:size(candVecs,2)
    for testj = 1:size(candVecs,2)
        stats_p_r.candDifferences_r(testi,testj) = y(testi)-y(testj);
    end
end

stats_p_r.candRelatedness_r = cand2refSims;

%Do Wilcoxon signed rank test between kendall tau across subjects in a
%model
for candI = 1:size(candVecs,2)
    [ps(candI)] = signrank_onesided(cand2refSims(:,candI));
end
stats_p_r.candRelatedness_p = ps;
es = std(cand2refSims)/sqrt(nSubjects);

%Do Wilcoxon signed rank test on the difference in kendall tau between
%models
for candI1 = 1:size(candVecs,2)
    for candI2 = 1:size(candVecs,2)
        [pairWisePs(candI1,candI2)] = signrank(cand2refSims(:,candI1),cand2refSims(:,candI2),'alpha',0.05,'method','exact');
    end
end
stats_p_r.candDifferences_p = pairWisePs;
stats_p_r.SEs=es;

thresh = FDRthreshold(ps,userOptions.candRDMdifferencesThreshold);
stats_p_r.FDRthresh = thresh;

end