---
output:
	pdf_document:
		number_sections: true
		keep_tex: true
		fig_caption: true
		latex_engine: xelatex
bibliography: biblio.bib
csl: neuroimage.csl
link-citations: false
linkReferences: true 
urlcolor: black
geometry: margin=1in
figPrefix:
	- "Fig."
	- "Figs."
eqnPrefix:
	- "Eq."
	- "Eqs."
title: \bf{Representational Similarity Analysis toolbox}
author:
	- Author 1, Author 2, Author 3
---
\tableofcontents
\pagebreak

# How to use this manual
This manual provides an introduction on how to use the Representational Similarity Analysis (RSA) toolbox. 

# Introduction 


# Overview
The functions provided in the toolbox can be categorized into different categories:  

### Searchlight functions

These are the functions that perform the searchlight functions of the toolbox.  

| Function | Comment                                  |
| -------- | ---------------------------------------- |
| gifti    | Read curvature and surface files in GIFTI format |
| surf     | Setup and run volumetric or anatomically guided searchlights |


# References
